﻿Type=Service
Version=4
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#StartCommandReturnValue: android.app.Service.START_STICKY
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim n As Notification
End Sub
Sub Service_Create
	n.Initialize
	setNotification
End Sub

Sub Service_Start (StartingIntent As Intent)
	If n.IsInitialized Then n.Notify(1)
End Sub

Sub Service_Destroy
	If n.IsInitialized Then n.Cancel(1)
	StartServiceAt(Me,DateTime.Now+10*DateTime.TicksPerSecond,True) 'change the delay : 24*DateTime.TicksPerHour
End Sub

'this sub sets the notification configuration
Sub setNotification
	If n.IsInitialized 	Then
		n.Vibrate=True
		n.Icon="alert"
		n.SetInfo("Take your Pill","Click here to acknowledge",Main)
		n.Light=True
		n.Number=1
		n.OnGoingEvent=True
		n.AutoCancel=True
		n.Insistent=True
		n.Sound=True
	End If
End Sub

